Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines to spaces

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Apr 2022 14:28:35 +0200

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Reading this bug report, it seems like everybody agrees that yanking a
text containing newlines in `C-s C-y' should have the match also match
other whitespace (if laxness is enabled).  There was disagreement
whether the isearch prompt in these cases should be saying "foo^Jbar" or
"foo bar" -- the former would be difficult to implement, while the
latter isn't displaying exactly what the user yanked.

I think displaying "foo bar" makes the most sense, because we're in a
lax search.  And I think one of the patches Juri prepared implemented
this, so I think we should just go ahead and push that change (possibly
behind a user option).  Juri?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no